<!-- ##### SECTION Title ##### -->
EVCard

<!-- ##### SECTION Short_Description ##### -->
Contact data in the VCard format.

<!-- ##### SECTION Long_Description ##### -->
<para>
Does the low-level parsing work for contact information. This data is more conveniently accessed through the EContact object.
</para>

<!-- ##### SECTION See_Also ##### -->
<para>
#e-contact
</para>

<!-- ##### SECTION Stability_Level ##### -->


<!-- ##### SECTION Image ##### -->


<!-- ##### STRUCT EVCard ##### -->
<para>

</para>


<!-- ##### ENUM EVCardFormat ##### -->
<para>

</para>

@EVC_FORMAT_VCARD_21: 
@EVC_FORMAT_VCARD_30: 

<!-- ##### STRUCT EVCardAttribute ##### -->
<para>

</para>


<!-- ##### STRUCT EVCardAttributeParam ##### -->
<para>

</para>


<!-- ##### FUNCTION e_vcard_new ##### -->
<para>

</para>

@void: 
@Returns: 


<!-- ##### FUNCTION e_vcard_new_from_string ##### -->
<para>

</para>

@str: 
@Returns: 


<!-- ##### FUNCTION e_vcard_to_string ##### -->
<para>

</para>

@evc: 
@format: 
@Returns: 


<!-- ##### FUNCTION e_vcard_dump_structure ##### -->
<para>

</para>

@evc: 


<!-- ##### FUNCTION e_vcard_attribute_new ##### -->
<para>

</para>

@attr_group: 
@attr_name: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_free ##### -->
<para>

</para>

@attr: 


<!-- ##### FUNCTION e_vcard_attribute_copy ##### -->
<para>

</para>

@attr: 
@Returns: 


<!-- ##### FUNCTION e_vcard_remove_attributes ##### -->
<para>

</para>

@evc: 
@attr_group: 
@attr_name: 


<!-- ##### FUNCTION e_vcard_remove_attribute ##### -->
<para>

</para>

@evc: 
@attr: 


<!-- ##### FUNCTION e_vcard_append_attribute ##### -->
<para>

</para>

@evc: 
@attr: 


<!-- ##### FUNCTION e_vcard_append_attribute_with_value ##### -->
<para>

</para>

@evcard: 
@attr: 
@value: 


<!-- ##### FUNCTION e_vcard_append_attribute_with_values ##### -->
<para>

</para>

@evcard: 
@attr: 
@Varargs: 


<!-- ##### FUNCTION e_vcard_add_attribute ##### -->
<para>

</para>

@evc: 
@attr: 


<!-- ##### FUNCTION e_vcard_add_attribute_with_value ##### -->
<para>

</para>

@evcard: 
@attr: 
@value: 


<!-- ##### FUNCTION e_vcard_add_attribute_with_values ##### -->
<para>

</para>

@evcard: 
@attr: 
@Varargs: 


<!-- ##### FUNCTION e_vcard_attribute_add_value ##### -->
<para>

</para>

@attr: 
@value: 


<!-- ##### FUNCTION e_vcard_attribute_add_value_decoded ##### -->
<para>

</para>

@attr: 
@value: 
@len: 


<!-- ##### FUNCTION e_vcard_attribute_add_values ##### -->
<para>

</para>

@attr: 
@Varargs: 


<!-- ##### FUNCTION e_vcard_attribute_remove_values ##### -->
<para>

</para>

@attr: 


<!-- ##### FUNCTION e_vcard_attribute_remove_value ##### -->
<para>

</para>

@attr: 
@s: 


<!-- ##### FUNCTION e_vcard_attribute_remove_params ##### -->
<para>

</para>

@attr: 


<!-- ##### FUNCTION e_vcard_attribute_remove_param ##### -->
<para>

</para>

@attr: 
@param_name: 


<!-- ##### FUNCTION e_vcard_attribute_remove_param_value ##### -->
<para>

</para>

@attr: 
@param_name: 
@s: 


<!-- ##### FUNCTION e_vcard_attribute_param_new ##### -->
<para>

</para>

@name: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_param_free ##### -->
<para>

</para>

@param: 


<!-- ##### FUNCTION e_vcard_attribute_param_copy ##### -->
<para>

</para>

@param: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_add_param ##### -->
<para>

</para>

@attr: 
@param: 


<!-- ##### FUNCTION e_vcard_attribute_add_param_with_value ##### -->
<para>

</para>

@attr: 
@param: 
@value: 


<!-- ##### FUNCTION e_vcard_attribute_add_param_with_values ##### -->
<para>

</para>

@attr: 
@param: 
@Varargs: 


<!-- ##### FUNCTION e_vcard_attribute_param_add_value ##### -->
<para>

</para>

@param: 
@value: 


<!-- ##### FUNCTION e_vcard_attribute_param_add_values ##### -->
<para>

</para>

@param: 
@Varargs: 


<!-- ##### FUNCTION e_vcard_attribute_param_remove_values ##### -->
<para>

</para>

@param: 


<!-- ##### FUNCTION e_vcard_attribute_param_get_name ##### -->
<para>

</para>

@param: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_param_get_values ##### -->
<para>

</para>

@param: 
@Returns: 


<!-- ##### FUNCTION e_vcard_get_attribute ##### -->
<para>

</para>

@evc: 
@name: 
@Returns: 


<!-- ##### FUNCTION e_vcard_get_attributes ##### -->
<para>

</para>

@evcard: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_get_group ##### -->
<para>

</para>

@attr: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_get_name ##### -->
<para>

</para>

@attr: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_get_values ##### -->
<para>

</para>

@attr: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_get_values_decoded ##### -->
<para>

</para>

@attr: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_get_params ##### -->
<para>

</para>

@attr: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_get_param ##### -->
<para>

</para>

@attr: 
@name: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_get_value ##### -->
<para>

</para>

@attr: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_get_value_decoded ##### -->
<para>

</para>

@attr: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_has_type ##### -->
<para>

</para>

@attr: 
@typestr: 
@Returns: 


<!-- ##### FUNCTION e_vcard_attribute_is_single_valued ##### -->
<para>

</para>

@attr: 
@Returns: 


<!-- ##### FUNCTION e_vcard_escape_string ##### -->
<para>

</para>

@s: 
@Returns: 


<!-- ##### FUNCTION e_vcard_unescape_string ##### -->
<para>

</para>

@s: 
@Returns: 


<!-- ##### MACRO EVC_ADR ##### -->
<para>

</para>



<!-- ##### MACRO EVC_BDAY ##### -->
<para>
Birthday
</para>



<!-- ##### MACRO EVC_CALURI ##### -->
<para>
Calendar URL
</para>



<!-- ##### MACRO EVC_CATEGORIES ##### -->
<para>
Categories
</para>



<!-- ##### MACRO EVC_EMAIL ##### -->
<para>
Email address
</para>



<!-- ##### MACRO EVC_ENCODING ##### -->
<para>

</para>



<!-- ##### MACRO EVC_FBURL ##### -->
<para>

</para>



<!-- ##### MACRO EVC_FN ##### -->
<para>

</para>



<!-- ##### MACRO EVC_GEO ##### -->
<para>

</para>



<!-- ##### MACRO EVC_ICSCALENDAR ##### -->
<para>

</para>



<!-- ##### MACRO EVC_KEY ##### -->
<para>

</para>



<!-- ##### MACRO EVC_LABEL ##### -->
<para>

</para>



<!-- ##### MACRO EVC_LOGO ##### -->
<para>

</para>



<!-- ##### MACRO EVC_MAILER ##### -->
<para>

</para>



<!-- ##### MACRO EVC_NICKNAME ##### -->
<para>
Nickname
</para>



<!-- ##### MACRO EVC_N ##### -->
<para>

</para>



<!-- ##### MACRO EVC_NOTE ##### -->
<para>

</para>



<!-- ##### MACRO EVC_ORG ##### -->
<para>
Organisation
</para>



<!-- ##### MACRO EVC_PHOTO ##### -->
<para>
Photo
</para>



<!-- ##### MACRO EVC_PRODID ##### -->
<para>

</para>



<!-- ##### MACRO EVC_QUOTEDPRINTABLE ##### -->
<para>

</para>



<!-- ##### MACRO EVC_REV ##### -->
<para>

</para>



<!-- ##### MACRO EVC_ROLE ##### -->
<para>
Role
</para>



<!-- ##### MACRO EVC_TEL ##### -->
<para>
Telephone
</para>



<!-- ##### MACRO EVC_TITLE ##### -->
<para>
Title
</para>



<!-- ##### MACRO EVC_TYPE ##### -->
<para>

</para>



<!-- ##### MACRO EVC_UID ##### -->
<para>
Unique ID
</para>



<!-- ##### MACRO EVC_URL ##### -->
<para>
Home page URL
</para>



<!-- ##### MACRO EVC_VALUE ##### -->
<para>

</para>



<!-- ##### MACRO EVC_VERSION ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_AIM ##### -->
<para>
AIM ID
</para>



<!-- ##### MACRO EVC_X_ANNIVERSARY ##### -->
<para>
Wedding anniversary
</para>



<!-- ##### MACRO EVC_X_ASSISTANT ##### -->
<para>
Assistant
</para>



<!-- ##### MACRO EVC_X_BIRTHDAY ##### -->
<para>
Birthday
</para>



<!-- ##### MACRO EVC_X_BLOG_URL ##### -->
<para>
Blog URL
</para>



<!-- ##### MACRO EVC_X_FILE_AS ##### -->
<para>
File As
</para>



<!-- ##### MACRO EVC_X_GADUGADU ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_ICQ ##### -->
<para>
ICQ number
</para>



<!-- ##### MACRO EVC_X_JABBER ##### -->
<para>
Jabber ID
</para>



<!-- ##### MACRO EVC_X_LIST_SHOW_ADDRESSES ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_LIST ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_MANAGER ##### -->
<para>
Mananger
</para>



<!-- ##### MACRO EVC_X_MSN ##### -->
<para>
MSN ID
</para>



<!-- ##### MACRO EVC_X_SKYPE ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_WANTS_HTML ##### -->
<para>
Wants HTML mail
</para>



<!-- ##### MACRO EVC_X_YAHOO ##### -->
<para>
Yahoo ID
</para>



<!-- ##### MACRO EVC_X_BOOK_URI ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_CALLBACK ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_COMPANY ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_DEST_CONTACT_UID ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_DEST_EMAIL ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_DEST_EMAIL_NUM ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_DEST_HTML_MAIL ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_DEST_NAME ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_DEST_SOURCE_UID ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_GROUPWISE ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_RADIO ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_SIP ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_SPOUSE ##### -->
<para>
Spouse
</para>



<!-- ##### MACRO EVC_X_TELEX ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_TTYTDD ##### -->
<para>

</para>



<!-- ##### MACRO EVC_X_VIDEO_URL ##### -->
<para>

</para>



